Martes, Octubre 27, 2020

Cómo volver a habilitar Ayatana AppIndicators en Elementary OS 5.0 Juno

elementaryos-50-juno-appindicators

El último OS 5.0 Juno, disponible como una vista previa del desarrollador beta 1 en este momento, no admite los antiguos AppIndicators de Ayatana de forma predeterminada. Este artículo explica cómo volver a habilitar AppIndicators en el sistema operativo Elementary Juno.

Dos paquetes son responsables de mostrar Ayatana AppIndicators en este sistema operativo: indicador de aplicación y wingpanel-indicator-ayatana. El primero requiere un ajuste para funcionar en el sistema operativo Juno 5.0, mientras que el segundo ya no está disponible para esta versión de sistema operativo, pero puedes instalar un paquete DEB anterior.

1. Indicator: la aplicación se instala por defecto en el sistema operativo 5.0 Juno, pero necesita un ajuste para funcionar con Pantheon. The OnlyShowIn=Unity;GNOME; parte de su archivo de escritorio de autoinicio debe cambiarse a OnlyShowIn=Unity; GNOME; Pantheon;.

Puedes hacer esto copiando el archivo /etc/xdg/autostart/indicator-application.desktop en ~ /.config/autostart (por lo que este cambio solo afecta a tu usuario, y no tienes que hacer esto cada vez que el paquete es actualizado) y editando el archivo allí. O puedes ejecutar los comandos a continuación para hacer esto desde una terminal:

mkdir -p ~/.config/autostart

cp /etc/xdg/autostart/indicator-application.desktop ~/.config/autostart/

sed -i 's/^OnlyShowIn.*/OnlyShowIn=Unity;GNOME;Pantheon;/' ~/.config/autostart/indicator-application.desktop

2. wingpanel-indicator-ayatana ya no está disponible en Elementary 5.0, pero puedes descargarlo desde aquí como paquete DEB (solo necesitas el paquete sin -dbg en su nombre) e instálalo en tu sistema. Puedes descargar e instalar este paquete desde un terminal usando estos comandos (instala el paquete de 64 bits porque solo un ISO de 64 bits está actualmente disponible para el sistema operativo Juno):

wget http://ppa.launchpad.net/elementary-os/stable/ubuntu/pool/main/w/wingpanel-indicator-ayatana/wingpanel-indicator-ayatana_2.0.3+r27+pkg17~ubuntu0.4.1.1_amd64.deb

sudo dpkg -i wingpanel-indicator-ayatana_2.0.3+r27+pkg17~ubuntu0.4.1.1_amd64.deb

Después de aplicar el ajuste desde el paso 1, instala el paquete vinculado en el paso 2. Luego cierra la sesión y después de iniciar sesión en el escritorio de Juno de tu sistema operativo Elementary 5.0, los AppIndicators de Ayatana deberían funcionar.

 

Fuente: Original | maslinux

¿Quién está en línea?

Hay 192 invitados y ningún miembro en línea

Contador de Visitas

11024124
Hoy Hoy 868
Ayer Ayer 2993
Esta semana Esta semana 3861
Este mes Este mes 79403
Total de Visitas Total de Visitas 11024124

Día con más
visitantes

10-20-2020 : 3356

Gracias por su visita